#pragma once

#include "CoreMinimal.h"
#include "EGameType.h"
#include "AISkillEvent.generated.h"

class UAISkill;

USTRUCT(BlueprintType)
struct FAISkillEvent
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FName> SpecialEventIds;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<EGameType> GameTypes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool RequiresBoth;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UAISkill* Skill;

public:
	DBDBOTS_API FAISkillEvent();
};

FORCEINLINE uint32 GetTypeHash(const FAISkillEvent) { return 0; }
